Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

DataObjectManager Module /

Discuss the DataObjectManager module, and the related ImageGallery module.

Moderators: martimiz, UncleCheese, Sean, biapar, Willr, Ingo, swaiba, simon_w

silverstripe 2.3.7 with DOM?


Reply


3 Posts   1133 Views

Avatar
SSadmin

Community Member, 90 Posts

30 March 2010 at 10:24am

hey.folks, i met a very interesting problem with dataobject manager and swfupload with silverstripe 2.3.7.
and i used my limited problem solving skills try to identify the problem but failed.

the situation i come across is like:
i installed the lastest release siverstripe 2.3.7 for a new project kicked off last week.
i encounterred several problem with Dataobject manager.
The version im using is dataobject_manager_r388(full version name:modules-dataobject_manager-r388.tar.gz) i just downloaded yesterday, thought it just released few weeks ago.

Once i changed the module name to be dataobject then did a dev/build.

if i went to File and Images, i will get the error captured by firebugs.

POST getitem?ID=1&ajax=1
http://www.mydomain.dev/admin/assets/getitem?ID=1&ajax=1
   
500 Warning: "Missing argument 3 for ComplexTableField_Item::__construct(), called in C:\wamp\www\mydomain\dataobject_manager\code\DataObjectManager.php on line 584 and defined" at line 980 of C:\wamp\www\mydomain\sapphire\forms\ComplexTableField.php

i have tried used early version of dataobject manager. seems still cannot work quite well.
Then, i have installed in ss 2.3.6 environment, with the older vresion of dataobject manager, seems everything works quite well.

I wonder is there problems with 236 with lastest dataobject manager.? or is there something wrong with mine configuration.

Cheers,

Alex

Avatar
UncleCheese

4086 Posts

30 March 2010 at 12:51pm

See the "2.3 Branch" sticky.

Avatar
SSadmin

Community Member, 90 Posts

31 March 2010 at 9:37am

Thanks, Uncle Cheese. i havent noticed that the main release for DOM is based on 2.4 version.
Changed back to 2.3 branch solved lots of problem.. thanks for timely feedback, really appreciate.

Alex